<?php

namespace App\Models;

class PriorityModel
{
  public function __construct(
    private int $id,
    private string $namaPrioritas,
    private int $level,
    private ?string $deskripsi,
    private string $createdAt,
    private ?string $updatedAt,
  ) {}

  // Getter
  public function getId(): int
  {
    return $this->id;
  }

  public function getNamaPrioritas(): string
  {
    return $this->namaPrioritas;
  }

  public function getLevel(): int
  {
    return $this->level;
  }

  public function getDeskripsi(): ?string
  {
    return $this->deskripsi;
  }

  public function getCreatedAt(): string
  {
    return $this->createdAt;
  }

  public function getUpdatedAt(): ?string
  {
    return $this->updatedAt;
  }
}
